APIReference data
Get an airline
GET
bearerAuth reference_data.readheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: reference_data.read
id*integerResource ID.
Range
1 <= valueAirline.
application/json- response
data*curl -X GET 'https://your-instance.example/api/v1/airlines/1'Example Response
{ "data": { "id": 0, "name": "string", "icao": "string", "iata": "string", "iconPath": "string" }}Search airlines GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
Search aircraft types GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
